TooN: GenericVBase< Size, Precision, Stride, Mem > Struct Template Reference

TooN 2.0.0-beta8

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions
GenericVBase< Size, Precision, Stride, Mem > Struct Template Reference
Inheritance diagram for GenericVBase< Size, Precision, Stride, Mem >:

List of all members.

## Public Types
typedef Mem::PointerType | PointerType
typedef Mem::ConstPointerType | ConstPointerType
typedef Mem::ReferenceType | ReferenceType
typedef Mem::ConstReferenceType | ConstReferenceType
typedef SliceVBase< Stride, PointerType, ConstPointerType, ReferenceType, ConstReferenceType > | SliceBase
typedef SliceVBase< Stride, ConstPointerType, ConstPointerType, ConstReferenceType, ConstReferenceType > | ConstSliceBase
typedef Vector< Size, Precision, SliceBase > | as_slice_type
## Public Member Functions
int | stride () const
| GenericVBase (int s)
| GenericVBase (PointerType d, int length, int stride)
template<class Op >
| GenericVBase (const Operator< Op > &op)
ReferenceType | operator[] (int i)
ConstReferenceType | operator[] (int i) const
template<int Start, int Length>
Vector< Length, Precision, SliceBase > | slice (int start, int length)
template<int Start, int Length>
const Vector< Length, const Precision, ConstSliceBase > | slice (int start, int length) const
template<int Start, int Length>
Vector< Length, Precision, SliceBase > | slice ()
template<int Start, int Length>
const Vector< Length, const Precision, ConstSliceBase > | slice () const
Vector< Dynamic, Precision, SliceBase > | slice (int start, int length)
const Vector< Dynamic, const Precision, ConstSliceBase > | slice (int start, int length) const
const Matrix< 1, Size, const Precision, Slice< 1, Stride > > | as_row () const
Matrix< 1, Size, Precision, Slice< 1, Stride > > | as_row ()
const Matrix< Size, 1, const Precision, Slice< Stride, 1 > > | as_col () const
Matrix< Size, 1, Precision, Slice< Stride, 1 > > | as_col ()
Vector< Size, Precision, SliceBase > | as_slice ()
const Vector< Size, const Precision, ConstSliceBase > | as_slice () const
DiagonalMatrix< Size, Precision, SliceBase > | as_diagonal ()
const DiagonalMatrix< Size, const Precision, ConstSliceBase > | as_diagonal () const

### template<int Size, typename Precision, int Stride, typename Mem>
struct TooN::Internal::GenericVBase< Size, Precision, Stride, Mem >